io_uring_cq_ready(3)

NAME
io_uring_cq_ready - returns number of unconsumed ready entries in the CQ ring

SYNOPSIS
#include <liburing.h>

unsigned io_uring_cq_ready(const struct io_uring *ring);

DESCRIPTION

The io_uring_cq_ready(3) function returns the number of unconsumed entries that are ready belonging to the ring param.

RETURN VALUE
Returns the number of unconsumed ready entries in the CQ ring.

SEE ALSO
io_uring_submit(3), io_uring_wait_cqe(3)